DBNavigator plugin failed to start in Intellij 8.x

I just tried to use the DBNavigator plugin.

I restarted IntelliJ and it just hung there which led me on a trip to find out what was wrong.

First up I found the log files in

~/Library/Caches/IntelliJIDEA8x/log/

And saw this exception

Expected implementation for extension declaration (ep = com.intellij.completion.contributor)

This seems to be a general problem for plugins, e.g. the Scala plugin (http://youtrack.jetbrains.net/issue/SCL-1592).

So you need to remove the plugin which will have been installed here:

~/Library/Application Support/IntelliJIDEA80

Thanks to this post for triggering the solution.

Share

One thought on “DBNavigator plugin failed to start in Intellij 8.x

  1. Pingback: non-random ramble :: BashPlugin For IntelliJ fails under snow leopard

Comments are closed.